# 使用Visual Studio在GDK8上开发Linux应用
## 主要步骤
1. 下载Visual Studio社区版（需要在[其他工具集]内选择[使用C++的Linux开发]）。
https://visualstudio.microsoft.com/zh-hans/vs/community/
![](https://www.nanocode.cn/wiki/uploads/blog/202112/attach_16be1c9092d4e3e3.png)
**GDK8中已经预装了openssh-server和网络工具，无需重复安装。**
![](https://www.nanocode.cn/wiki/uploads/blog/202112/attach_16be1ba2a7035c23.png)
2. 执行ifconfig命令观察GDK8的IP地址，并记录。
![](https://www.nanocode.cn/wiki/uploads/blog/202112/attach_16be1bd2d9778774.png)
3. 完成Visual Studio的安装后，启动Visual Studio；点击菜单栏栏的“[工具]->[选项]->[跨平台]”；如下图所示。
![](https://www.nanocode.cn/wiki/uploads/blog/202112/attach_16be1cb43404cce6.png)
4. 点击[添加]，并输入相应的信息。
**主机名：GDK8的IP地址**
**端口号：默认的22即可**
**用户名：geduer**
**身份验证类型：默认的密码即可**
**密码：GDK8的默认密码为gd2021**
5. 完成输入后，点击连接，等待同步完成后点击确定即可；如下图所示。
![](https://www.nanocode.cn/wiki/uploads/blog/202112/attach_16be1d1c040584ff.png)
![](https://www.nanocode.cn/wiki/uploads/blog/202112/attach_16be1d27383b2f9e.png)
6. 创建新项目；点击菜单栏的“[文件]->[新建]->[项目]->[跨平台]->[Linux]->[空项目]”；如下图所示。
![](https://www.nanocode.cn/wiki/uploads/blog/202112/attach_16be1e55925691ed.png)
**可以右键项目，点击[属性]->[配置属性]->[常规]->[远程生成计算机]，来选择想要连接的机器。**
**对于GDK8而言，需要在配置管理器内选择ARM64架构；至于Debug版还是release版，就看你需要那个了。**
7. 写一个小程序，点击生成后，可以在/home/geduer的目录下看到新创建的projects目录；如下图所示。
![](https://www.nanocode.cn/wiki/uploads/blog/202112/attach_16be1f31d6f8dc57.png)
8. 此时就已经完成了Linux开发环境的搭建！