# Python兼容性的问题
Python一直以臭名昭著的兼容性而被大家知晓，在构建项目的时候，假如遇到了python兼容性的问题，就会感觉到非常的恶心。
## 修改Python默认运行版本
```c
1. cd ~
2. gedit .bashrc &
3. 添加 alias python='/usr/bin/python2'后，保存并退出
4. . ~/.bashrc
```
## pip损坏
1. 下载 [get-pip.py](https://bootstrap.pypa.io/pip/2.7/get-pip.py "get-pip.py")
2. `python get-pip.py`

## 缺少模块
1. `pip install 模块名 / pip install py模块名`

2. 如果无法下载模块可能还是python兼容性的问题，在脚本中可能会指定`#! /usr/bin/python`，但这个python应该还是python3,所以应该重新创建一个python2的软链接。

```c
1. sudo mv /usr/bin/python /usr/bin/python_back
2. sudo ln -s /usr/bin/python2 /usr/bin/python
```