# 使用GDK8烧录镜像文件
## 主要步骤（以烧录kernel为例）：
1. 将准备好的镜像文件复制到GDK8内；如下所示。
2. 将镜像文件复制到GDK8内。
3. 使用od -c boot.img | more命令查看镜像文件信息；如下所示。
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_b2416cabcd4781696e2c51e5ce64897d_r.png)
4. 使用od -c /dev/mmcblk1p4 | more命令查看磁盘空间信息；如下图所示。
**在GDK8下，对于kernel而言，devname一般为mmcblk1p4；也可以通过fdisk -l命令自行去确认，对应的名字是什么；对于其他部分而言（如uboot等），也是可以通过fdisk -l去确认设备名是什么的。**
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_d7c1c3103743d98b0b875212e11c2c12_r.png)
5. **仔细核对镜像文件信息和磁盘空间信息；确保第一行前面的部分（例如ANDROID!）完全一致；因为只是烧录一部分，所以位置一定不能搞错！！!**
6. 确保位置一样后，输入dd if=img_path of=/dev/mmcblk1p4 seek=0。
7. 使用sync命令同步一下。
8. 重启机器后即可。