## 最新版本：2025/03/03版
### 说明：本uboot主要是配合GDK8的奉贤2镜像一起更新：

### 一.uboot下载链接：
#### 1.里面有两个文件，u-boot是符号，uboot.img是单独更新所需的文件。
https://gedu.oss-cn-beijing.aliyuncs.com/Products/GDK8/Release/Ubuntu/FengXian2/fx3_uboot.zip

GDK8的UBOOT保存在单独的分区中，可以通过DD命令进行快速更新，但执行dd命令千万要谨慎， 不要把关键的位置和大小参数弄错

### 2.更新方法：
更新命令如下：

```bash
od -c file | more
烧录前需要确认镜像文件与分区是否一致（确认第一行即可）。
dd if=uboot.img of=/dev/mmcblk$(X)p1 seek=0  //这里的分区需要以实际机器显示的结果为主，一般是xxp1分区
img_path：待烧录镜像文件的位置；对于内核文件而言，对应的文件为uboot.img。
注意：下面命令是示例,mmcblk(1,2,3,4.....)p1,括号内的数根据实际情况确定
/dev/mmcblk2p1：GDK8的U-BOOT一般在mmcblk2p1分区内；烧录前应进行确认。
```

### 二. uboot源码下载链接：
点击下面源码链接解压即可。
https://gedu.oss-cn-beijing.aliyuncs.com/Products/GDK8/Release/Ubuntu/LiaoCheng2/u-boot.tar.gz
### 三. 附录：
可以访问下面链接单独更新镜像
#### 1.镜像更新链接： 
https://www.nanocode.cn/wiki/docs/gdk8_primer/gdk8_img_bom

#### 2.更新方法：
GDK8的内核文件也是保存在单独的分区中，可以通过DD命令进行快速更新，执行dd命令千万要谨慎，不要把位置和大小参数弄错

更新命令如下：

```bash
od -c file | more
烧录前需要确认镜像文件与分区是否一致（确认第一行即可）。
dd if=boot.img of=/dev/mmcblk$(X)p4 seek=0        //这里的分区需要以实际机器显示的结果为主，一般是xxp4分区
img_path：待烧录镜像文件的位置；对于内核文件而言，对应的文件为boot.img，并非kernel.img。
注意：下面命令是示例,mmcblk(1,2,3,4.....)p4,括号内的数根据实际情况确定
/dev/mmcblk2p4：GDK8的内核文件一般在mmcblk2p4分区内；烧录前应进行确认。
```
$(X)：可以通过ls /dev/进行查看，比如/dev/mmcblk2，那么就对应dd if=img_path of=/dev/mmcblk2p4 seek=0