# GDK8新镜像的更新内容-2021.12.29
## GDK8新镜像下载链接
https://gedu.oss-cn-beijing.aliyuncs.com/%E8%A8%80%E5%AD%90-%E6%9B%B2%E9%98%9C/GDK8-YANZI-QUFU.zip
## Docker
老版本的镜像并不支持运行Docker，主要原因是因为Docker所需的内核选项并没有开启。
在新版本的镜像中添加了Docker所需的内核选项，使得Docker可以正常运行。
```c
geduer@gdk8:~$ sudo docker run hello-world

Hello from Docker!
This message shows that your installation appears to be working correctly.

To generate this message, Docker took the following steps:
 1. The Docker client contacted the Docker daemon.
 2. The Docker daemon pulled the "hello-world" image from the Docker Hub.
    (arm64v8)
 3. The Docker daemon created a new container from that image which runs the
    executable that produces the output you are currently reading.
 4. The Docker daemon streamed that output to the Docker client, which sent it
    to your terminal.

To try something more ambitious, you can run an Ubuntu container with:
 $ docker run -it ubuntu bash

Share images, automate workflows, and more with a free Docker ID:
 https://hub.docker.com/

For more examples and ideas, visit:
 https://docs.docker.com/get-started/

geduer@gdk8:~$
```
## GPU加速时导致的桌面崩溃问题
老版本的镜像在看视频时，会触发GPU加速，从而导致Xorg崩溃；虽然内核层是装有GPU驱动的，但是用户层原本的GPU驱动是有问题的，此时如果触发GPU加速，就会导致Xorg的崩溃。
新版本的镜像重新编译了x server的驱动，并将编译出来的so文件替换上去，使得视频类的软件可以正常使用。
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_a1aa64220979699240a83599dd942628_r.png)
## 开机提示方框
老版本的镜像中开机会提示OpenBox的小方框，这是由于桌面内的xml配置不正确导致的。
新版本的镜像中更换了的新的xml文件，使得原本开机会出现的小方框不再出现。
## 应用更新
### 1. Chromium浏览器
老版本的镜像预装的是火狐浏览器；但是火狐浏览器在观看视频是会有页面崩溃的问题[Gah, Your tab just crashed]。
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_5481179d6909f608be6f5a638590edc7_r.png)
因此在新版本的镜像中将预装的火狐浏览器，替换成了Chromium浏览器。
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_e64b8b334ed866ee2663388c5262dc47_r.png)
### 2. VLC视频播放器
老版本的镜像并没有预装视频播放器，但是考虑到部分人的需要，格蠹在新版本的镜像中预装了VLC视频播放器。
### 3. GLMark-es2
老版本的镜像中预装的GLMark-es2并能能使用，新版本的镜像中，重新安装了GLMark-es2,使得GLMark-es2可以正常使用。
## 其他优化