## NKM 可以通过千里眼复用 GDK8 的键盘鼠标
**NKM** 的全称为 **Nano Keyboard & Mouse**，是格蠹科技为 **GDK** 套件设计的一个配件，简称NKM卡， 其核心功能是把上位机的鼠标键盘输入转发给可能没有接键盘鼠标的目标机，例如 **GDK8。**

对于已购买 **NKM** 的老用户可以通过这篇文章更新 **NKM**：https://www.nanocode.cn/wiki/docs/gedu_ntp_wiki/nkm
#### 1.连接NKM
**NKM** 介绍请看：https://www.nanocode.cn/#/fittings/index

连接方法如下图：

![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_e63242faf7af201b737e64b6e4df1ed8_r.jpeg)
#### 2.使用千里眼
千里眼使用教程请看 https://www.nanocode.cn/wiki/docs/gdk8_primer/kiloeye

#### 3.启用 NKM 控制 GDK8 的键盘鼠标
在千里眼顶部菜单栏上选择 **NKM**，点击 **Open**。

![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_43823d972bbc487e57b53ca8e497e8b4_r.png)

这时就可以复用 GDK8 的鼠标键盘了。

### 注意事项
启用 **NKM** 鼠标移动默认是使用**相对坐标(Relative Mode)**，此方法会出现一些边界问题，所以有第二种办法绝对坐标**（Absolute Mode）**，但是这种办法目前还未适配 GDK8，请期待后续解决这个问题。

在新版本的千里眼中，增加了“田埂区”，即在下位机的屏幕周围加了一圈空白区域，犹如田边的路埂。当发现鼠标没法移到下位机屏幕的边缘时，把鼠标移到田埂区，然后双击，即可把鼠标移到最近的边缘，由此边缘再向内移，即可到达想要的目标区域。

下图是一些还未实现同步的组合键，可以在菜单栏选择实现。

![	](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_13bff881fe0e1357696ab02d6c6427fb_r.png)