**注：这里介绍的千里眼的用法是一个通用版本，对于 GDK8 同样适用。**

**千里眼**是格蠹开发的类似 KVM （Keyboard Video Mouse） 的工具软件，配合 **Nano Display** 一起使用。

对于缺少屏幕连接线的下位机用户，可以通过千里眼使用电脑主机的屏幕来看见下位机的桌面，接下来将教大家如何操作。

#### 1. 下载并运行千里眼
千里眼下载链接 https://gedu.oss-cn-beijing.aliyuncs.com/Products/KiloEye/Release/lastest/kiloeye.zip

下载解压完成后双击 **kiloeye** 打开： （kiloeye 为绿色软件，无需安装。）
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_56691eb653e8beabd0f80633aa85f701_r.png)
#### 2. 连接下位机
将 **下位机通电**后，使用格蠹的 HDMI2USB 连接线———一头是 **HDMI** 一头是 **USB-A** 的 HDMI 采集卡，将下载了千里眼的主机和下位机连接起来。

#### 3. 打开设备

在千里眼中，点击菜单 **Devices**，选择 **USB Vedio**，就可以看见下位机的桌面了。

![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_c5fbf71b76e7f3d460b9482d49f5abfb_r.png)

![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_3aa27952c1ff725079351651e74c221b_r.png)

#### 4. 启用 NKM

如果同时还连接了 NKM，那么此时你可以使用 NKM 的功能。使用 NKM 的方法，请参见 https://www.nanocode.cn/wiki/docs/gdk8_primer/gdk8_primer-1evrdmificmgm

在启用 NKM 之前，如果此时窗口不是最大化，请先让窗口最大化。

##### 4.1 相对坐标和绝对坐标
启用 NKM 移动鼠标默认是使用相对坐标(Relative Mode)，此方法会出现一些边界问题，所以有第二种办法绝对坐标（Absolute Mode）。如果下位机支持绝对坐标，则尽可能使用绝对坐标。

##### 4.2 田埂区
在新版本中，增加了“田埂区”，即在下位机的屏幕周围加了一圈空白区域，犹如田边的路埂。如下图所示：

![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_187389aa819602a45a36fb4b24a2676c_r.png)

当发现鼠标没法移到下位机屏幕的边缘区域时，这时分两种情况：

1）要把鼠标移到左边缘或者上边缘，则把鼠标移到左边的田埂区或者上边的田埂区，然后双击（仅一次），即可把鼠标移到左边缘或上边缘；

2）要把鼠标移到右边缘或者下边缘，则把鼠标移到右边的田埂区或者下边的田埂区，然后双击，每双击一次，鼠标就会向右边或者下边移动一段距离，双击多次，直到鼠标到达边缘。

当鼠标到了边缘，再由此边缘向内移，即可到达想要的目标区域。

##### 4.3 通过菜单移动鼠标
还有一种移动鼠标到方式，是通过菜单来“强制”移动鼠标。

1）一次移动到左上角。点击 “Developer” 中的 Mouse To Zero，可以一键把鼠标移动下位机屏幕的左上角。

2）移动指定数量的距离。点击 “Developer” 中的 Test Mouse，选择想要移动的距离，然后点击，就可以移动指定的距离。注意，这里的数字并不是代表像素，而是由上位机分辨率和下位机分辨率以及千里眼窗口的大小等多种因素决定的。


#### 5. 录制视频

当遇到问题时，我们需要录制视频来描述问题，千里眼提供了这个功能。

点击菜单 Capture 中的 Start Capture 菜单项，选择一个文件名保存录制的文件，然后开始录制。结束时，点击 Stop Capture 结束录制。视频为 AVI 格式。

#### 6. 管理键码

新版的千里眼增加了“一键输入密码”功能，这对一些经常需要做登录操作的用户无疑是一个福音。点击 NKM 下面的 Keycode 菜单，在弹出的对话框里设置密码对应的快捷键，可以设置多个，设置完关闭对话框。此时若输入快捷键，则相当于输入了对应的密码。


#### 常见问题与解决方法

1.如果 Devices 中没有 USB Video 菜单项，则说明下位机未连接，请按照步骤2连接下位机.