# 用adb调试GDK8上的安卓系统
调试环境：windows 10
1.首先要保证安卓设备已经开机且进入了开发者模式，通过首页的 setting–> Device Preferences–> Aboot–> Build。如下图所见，连续点击build将会触发安卓系统的开发者模式。

![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_492426c83d6ce36e1dfe6181b7204eb5_r.png)

2.找到系统中adb的位置，移动到其所在位置输入命令

```c
adb connect <ip>
```
这里如果你不输入端口号，那么系统默认指定使用5555端口进行连接。

![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_571f727a9c057527e1dceae035fac2f1_r.png)

可以看见系统已经连接上了安卓系统，接下来我们需要进入到安卓系统内部进行观察。
输入命令：
```c
adb shell
```
输入完命令后，可以看到，我们所在的路径已经变得不一样了，这表明我们已经进入了系统内部。由于安卓系统的用户空间是内置在linux系统中的，在这里，很多命令与linux命令非常相似。
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_fb133fb6de0f42cc778a96432e734b23_r.png)

比如说，输入命令:
```c
ps -A
```
可以列出内部进程