# GDK8分区问题
**如果GDK8内自己添加的东西不多，建议更新镜像（可参考：https://www.nanocode.cn/wiki/docs/gdk8_primer/primer_gdk8_firmware ）。**
## 主要步骤：
1. 如果在拿到GDK8后，用df -l命令查看磁盘空间使用情况时，发现root文件空间少了很多；如下图所示，磁盘空间只有69G。
![](https://www.nanocode.cn/wiki/uploads/blog/202111/attach_16b8356b64ee5926.png)
2. 如果出现这种情况，可以先用fdisk -l命令进行查看，会发现总空间大小为116G，root文件系统大小为97.3G（其中有29G处于未分配状态），此外磁盘空间还有19G未分配，需要手动挂载；如下图所示。
![](https://www.nanocode.cn/wiki/uploads/blog/202111/attach_16b835bb05a66b04.png)
3. 先将19G的磁盘空间分配好，下载GParted`sudo apt install gparted`；如下图所示。
![](https://www.nanocode.cn/wiki/uploads/blog/202111/attach_16b83a88fd0f7d3b.png)
4. 进入/usr/share/applications目录下，点击GParted，找到未分配的19G的空间，右键点击New，选择合适的选项（默认的也可以，New Size那里是你可以指定的大小，默认全部分配），点击add；如下下图所示。
![](https://www.nanocode.cn/wiki/uploads/blog/202111/attach_16b83ad31ac5ce0b.png)
5. 完成后，点击上方的“绿色对号”，再点击Apply，然后等待完成后重启即可；如下图所示。
![](https://www.nanocode.cn/wiki/uploads/blog/202111/attach_16b83aeafe2aa199.png)
6. 重新开机后输入`sudo resize2fs /dev/mmcblk1p7`，重新调整root文件系统的大小（/dev/mmcblk1p7可能并不固定，可以输入lsblk进行查看）；如下图所示。
**如果`sudo resize2fs /dev/mmcblk1p`不行，那么还是建议更新镜像（可参考：https://www.nanocode.cn/wiki/docs/gdk8_primer/primer_gdk8_firmware ）。**
![](https://www.nanocode.cn/wiki/uploads/blog/202111/attach_16b840bd3304857e.png)
7. 之后再次执行df -h命令，就可以看到root文件系统的大小改变了；如下图所示。
![](https://www.nanocode.cn/wiki/uploads/blog/202111/attach_16b840db267e9ab9.png)