# 武城3版本镜像更新说明
武城3是GDK8的安卓版本镜像，主要为了方便在安卓平台上进行开发调试的工程师进行学习和研究。
## 主要改动：
### 1. 增加perf、sysstat、simpleperf、gdbserver、atrace等常用工具。
武城3版本的镜像新增加了许多工具，这里主要介绍一下perf和GDBServer。

#### perf：
Perf是从Linux 2.6开始引入的一个profiling工具，通过访问包括pmu在内的软硬件性能计数器来分析性能，支持
多架构，是目前Kernel的主要性能检测手段，和Kernel代码一起发布，所以兼容性良好。
#### perf的命令列表：
```c
rk3328_box:/ # perf
usage: perf [‐‐version] [‐‐help] COMMAND [ARGS]
The most commonly used perf commands are:
annotate		  Read perf.data (created by perf record) and display annotated code
archive		   Create archive with object files with build‐ids found in perf.data file
bench			 General framework for benchmark suites
buildid‐cache 	Manage <tt>build‐id</tt> cache.
buildid‐list 	 List the buildids in a perf.data file
diff 			 Read two perf.data files and display the differential profile
inject 		   Filter to augment the events stream with additional information
kmem 			 Tool to trace/measure kernel memory(slab) properties
kvm 			  Tool to trace/measure kvm guest os
list 			 List all symbolic event types
lock 			 Analyze lock events
probe 			Define new dynamic tracepoints
record 		   Run a command and record its profile into perf.data
report 		   Read perf.data (created by perf record) and display the profile
sched 			Tool to trace/measure scheduler properties (latencies)
script 		   Read perf.data (created by perf record) and display trace output
stat 			 Run a command and gather performance counter statistics
test 			 Runs sanity tests.
timechart 		 Tool to visualize total system behavior during a workload
top 			 System profiling tool.
See 'perf help COMMAND' for more information on a specific command.
```
#### perf top
Perf中的top工具可以列出当前cpu的热点，是perf比较常用的一个功能。
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_7fcc73b51064886594e5f84f7dd914a2_r.png)
#### GDBServer：
请查看：https://www.nanocode.cn/wiki/docs/gdk8_primer/primer_gdk8_android
### 2. 葫芦娃
武城3镜像添加了葫芦娃应用程序，您可以通过葫芦娃查看IP、开启 / 关闭OTG和JTAG，以及使用SYSRQ。
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_fc8fde7cc9cac3ba6c065f1e8eae63a9_r.png)

关于葫芦娃和gird的功能请查看：
葫芦娃：https://www.nanocode.cn/wiki/docs/gdk8_primer/gdk8_gourdboy
GIRD：https://www.nanocode.cn/wiki/docs/gdk8_primer/gdk8_remotectl_usage
### 3. 添加CoreSight、Trace等内核配置选项。
### 4. 更新ndstub
### 5. 公开安卓符号
## 下载符号
ramdisk: https://pan.baidu.com/s/14CWzMxJ1Cy9sQZaO8563PA 提取码: rx1j
system_ext: https://pan.baidu.com/s/18tbBAmI3biPZ7OrdJiduqA 提取码: b7gx
recovery: https://pan.baidu.com/s/1Vw8SZgc1tlyJhlrU7YnREQ 提取码: fvn9
testcases: https://pan.baidu.com/s/18fXhQjOUhe_izosgraVogw 提取码: 1wf2
data: https://pan.baidu.com/s/1RxQWlbDKc56HG28l9Br68A 提取码: v9uj
verdor: https://pan.baidu.com/s/1JDFgn0ywJR0zPsBFnZGBJg 提取码: kfdc
system: https://pan.baidu.com/s/1KQzvpMAzcHeOWq3bfl_YRw 提取码: 9ssi
apex: https://pan.baidu.com/s/19nMIHiBjzk1y18lBCxLA4Q 提取码: kce7
内核符号：https://gedu.oss-cn-beijing.aliyuncs.com/android/wucheng3/vmlinux
## 下载镜像及内核源代码：
内核源代码：https://gedu.oss-cn-beijing.aliyuncs.com/android/wucheng3/kernel.tar.gz
镜像文件：https://gedu.oss-cn-beijing.aliyuncs.com/android/wucheng3/update.zip
## 下载RockChip文档：
https://gedu.oss-cn-beijing.aliyuncs.com/docs/rockchip/AndroidRKDocs.tar.gz
https://gedu.oss-cn-beijing.aliyuncs.com/docs/rockchip/RK3328Docs.tar.gz
## 烧录镜像：
查看GDK8的烧录镜像步骤：https://www.nanocode.cn/wiki/docs/gdk8_primer/primer_gdk8_remote
## 搭建安卓编译环境
查看GDK8安卓编译环境的搭建步骤：https://www.nanocode.cn/wiki/docs/gdk8_primer/gdk8_android_build