# 玩转GDK8之控制LED
欢迎进入GDK8的世界，这个小试验将通过简单的代码来控制GDK8前面板的LED数码管。
## 主要步骤
1.	使用MobaXterm连接GDK8，如有困难，请参考上手教程。
2.	安装git。
``sudo apt install git``
3.	建立一个试验目录，并切换到这个目录。
``mkdir labs``
``cd labs``
4.	从github上下载试验代码。
``git clone https://github.com/gdk8/geled.git``
如果访问呢github速度太慢，也可以从如下云盘链接下载：
https://share.weiyun.com/CVXjpEF4
5.	下载后切换到geled项目目录：
``cd geled``
6.	执行如下命令进行编译：
``gcc -o geled main.c``
7.	编译通过后，执行如下命令执行：
``sudo ./geled c 8888``
顺利的话，LED会显示8888
![](https://www.nanocode.cn/wiki/uploads/blog/202111/attach_16b66cafd29b4453.jpg)
8.	阅读main.c中的代码，根据代码，尝试其它命令
9.	尝试修改main.c中的代码，增加更多功能
10.	下载HT1628的硬件手册，学习硬件知识
https://share.weiyun.com/tlnITLeW 
11.	下载HT1628的内核代码，理解驱动程序的写法
https://share.weiyun.com/87BOJtRK