# 在vscode使用ssh连接GDK8
通过使用VSCode的SSH插件，可以方便地连接到GDK8并进行开发工作，直接从本地计算机连接到GDK8，无需在本地安装任何开发工具。这样可以节省本地计算机的资源，并且可以在不同的设备上无缝切换工作。
## 1.下载ssh插件。
点击vscode左边菜单栏的扩展，在搜索栏里搜索ssh，下载如下图的插件。
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_c5fadad690d1dc93d5f2b2608105ea70_r.png)
## 2.配置账号(需要查看想要连的设备ip，这里以我的GDK8为例)
点击vscode左边菜单栏的远程资源管理器，按照下图提示进行配置。
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_db74f11cb4606a6b90b272cb9158d3fe_r.png)
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_bf14fac84e4e5b091b2b15c39be2e2ae_r.png)
## 3.保存并重启vscode并输入密码
退出vscode后重启，依次按下图操作。
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_c4a0f65b515b1bd98a8ae9b123eb5ef4_r.png)
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_b5da30819efbcbc353082eb844cc113b_r.png)
## 4.正在通过shh远程在GDK8上下载VS Code Server
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_83a00afecd31201107a9301989a12a02_r.png)
## 4成功连接
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_b565f2423685050b6e825098801ebd76_r.png)
## 5.打开文件夹(以打开GDK8上的gelabs为例)
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_f9948b9bc1ba4fe24d7e8cbe015b1626_r.png)
在搜索栏会弹出路劲选择。
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_7c7bfc933817eae6462c67de3389edbe_r.png)
输入密码
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_d1f72715e568e955b66e1ad1c1859588_r.png)
成功打开并编辑
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_25a8d93ad3ea9c50df572e91e13fd319_r.png)
## 6.打开终端
点击左上角的查看，然后选择终端。
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_055736754e3f9ae7f7da8a1836735441_r.png)
在底部出现了终端的控制台。
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_043ad73339b966f7fe6193fe9a8b7b4a_r.png)
## 7.操作终端
编译gelabs下的llaolao(GDK8)
![](https://www.nanocode.cn/wiki/uploads/gdk8_primer/images/m_f72599817979bfc0e3ea8f03285c7dcb_r.png)